diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
index 4490b25eeb481200258c72dc97d53325f27faf47..1e61c4ad2998c26101d1f149a774ff50a98ad955 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
@@ -80,7 +80,7 @@ public class CertificatePoliciesExt extends APolicyRule
     protected int mNumCertPolicies = DEF_NUM_CERTPOLICIES;
     protected CertPolicy[] mCertPolicies = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
     protected CertificatePoliciesExtension mCertificatePoliciesExtension = null;
 
     public CertificatePoliciesExt() {
@@ -134,7 +134,7 @@ public class CertificatePoliciesExt extends APolicyRule
         // create instance of certificate policy extension if enabled.
         if (mEnabled) {
             try {
-                Vector CertPolicies = new Vector();
+                Vector<CertificatePolicyInfo> CertPolicies = new Vector<CertificatePolicyInfo>();
 
                 for (int j = 0; j < mNumCertPolicies; j++) {
                     CertPolicies.addElement(
@@ -202,7 +202,7 @@ public class CertificatePoliciesExt extends APolicyRule
             } else {
                 // remove any previously computed version of the extension
                 try {
-                    extensions.delete(CertificatePoliciesExtension.NAME);
+                    extensions.delete(CertificatePoliciesExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // this is the hack: for some reason, the key which is the name
                     // of the policy has been converted into the OID 
@@ -212,7 +212,7 @@ public class CertificatePoliciesExt extends APolicyRule
                     }
                 }
             }
-            extensions.set(CertificatePoliciesExtension.NAME,
+            extensions.set(CertificatePoliciesExtension.class.getSimpleName(),
                 mCertificatePoliciesExtension);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("POLICY_ERROR_CERTIFICATE_POLICIES_1",
@@ -241,7 +241,7 @@ public class CertificatePoliciesExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -251,7 +251,7 @@ public class CertificatePoliciesExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params 
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -276,12 +276,12 @@ public class CertificatePoliciesExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 		
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 3280 recommendation: MUST be non-critical.");
         theparams.addElement(PROP_NUM_CERTPOLICIES + ";number; Number of certificate policies. The value must be greater than or equal to 1");
@@ -445,7 +445,7 @@ class CertPolicy {
                 // should add a method to NoticeReference to take a
                 // Vector...but let's do this for now
 
-                Vector numsVector = new Vector();
+                Vector<String> numsVector = new Vector<String>();
                 StringTokenizer tokens = new StringTokenizer(mNoticeRefNums,
                         ",");
 
@@ -458,7 +458,7 @@ class CertPolicy {
                 nums = new int[numsVector.size()];
 
                 for (int i = 0; i < numsVector.size(); i++) {
-                    Integer ii = new Integer((String) numsVector.elementAt(i));
+                    Integer ii = new Integer(numsVector.elementAt(i));
 
                     nums[i] = ii.intValue();
                 }
@@ -517,7 +517,7 @@ class CertPolicy {
         }
     }
 
-    protected void getInstanceParams(Vector instanceParams) {
+    protected void getInstanceParams(Vector<String> instanceParams) {
         instanceParams.addElement(
             mNameDot + PROP_POLICY_IDENTIFIER + "=" + (mPolicyId == null ? "" :
                 mPolicyId));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
index c5a24d630c0306bfaf505eb5e06d3674eb2a5464..e3927502327cd3bf1050be63a0ce8d53fc9c424b 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
@@ -136,7 +136,7 @@ public class CertificateRenewalWindowExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(CertificateRenewalWindowExtension.NAME);
+                extensions.delete(CertificateRenewalWindowExtension.class.getSimpleName());
 				
             } catch (IOException e) {
                 // this is the hack: for some reason, the key which is the name
@@ -163,7 +163,7 @@ public class CertificateRenewalWindowExt extends APolicyRule
                             getDateValue(now, mBeginTime),
                             getDateValue(now, mEndTime));
             }
-            extensions.set(CertificateRenewalWindowExtension.NAME, 
+            extensions.set(CertificateRenewalWindowExtension.class.getSimpleName(), 
                 crwExt);
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
@@ -220,8 +220,8 @@ public class CertificateRenewalWindowExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         if (mBeginTime == null) {
@@ -242,8 +242,8 @@ public class CertificateRenewalWindowExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() { 
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_BEGIN_TIME + "=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
index e6cbddf606cc0c187746f9039a6ddc7d465ea205..14ef4213b29aa6d9b6101f8a18e0f62352c67bce 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
@@ -79,7 +79,7 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_CRITICAL +
             ";boolean; This extension may be either critical or non-critical.");
@@ -116,8 +116,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
     /**
      * Returns a sequence of scope entry.
      */
-    private Vector getScopeEntries() throws EBaseException {
-        Vector entries = new Vector();
+    private Vector<CertificateScopeEntry> getScopeEntries() throws EBaseException {
+        Vector<CertificateScopeEntry> entries = new Vector<CertificateScopeEntry>();
 
         //
         // read until there is *NO* ad<NUM>_method
@@ -190,7 +190,7 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
                     certInfo.get(X509CertInfo.EXTENSIONS);
 
                 // add access descriptions
-                Vector entries = getScopeEntries();
+                Vector<CertificateScopeEntry> entries = getScopeEntries();
 
                 if (entries.size() == 0) {
                     return res;
@@ -247,8 +247,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         try {
             params.addElement(PROP_CRITICAL + "=" + 
@@ -303,8 +303,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() { 
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
index b5c4176d088003f9158c92399697f05e214076ef..94d7d8df06ddabb6af38b1651792bd9fa4b04362 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
@@ -60,7 +60,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
     protected static int MAX_PURPOSE_ID = 10;
     private boolean mCritical = false;
     private IConfigStore mConfig = null;
-    private Vector mUsages = null;
+    private Vector<ObjectIdentifier> mUsages = null;
 
     private String[] mParams = null;
     
@@ -131,13 +131,13 @@ public class ExtendedKeyUsageExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(ExtendedKeyUsageExtension.NAME);
+                    extensions.delete(ExtendedKeyUsageExtension.class.getSimpleName());
                 } catch (IOException ex) {
                     // ExtendedKeyUsage extension is not already there
                 }
             }
 
-            extensions.set(ExtendedKeyUsageExtension.NAME, mExtendedKeyUsage);
+            extensions.set(ExtendedKeyUsageExtension.class.getSimpleName(), mExtendedKeyUsage);
 
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
@@ -157,8 +157,8 @@ public class ExtendedKeyUsageExt extends APolicyRule
     /**
      * Returns instance specific parameters.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         int numIds = MAX_PURPOSE_ID;
@@ -189,7 +189,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
     }
 
     private void setExtendedPluginInfo() {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
         int mNum = MAX_PURPOSE_ID;
 
         if (mConfig != null) {
@@ -225,8 +225,8 @@ public class ExtendedKeyUsageExt extends APolicyRule
     /**
      * Returns default parameters.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_NUM_IDS + "=" + MAX_PURPOSE_ID);
@@ -243,7 +243,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
         
         mCritical = mConfig.getBoolean(PROP_CRITICAL, false);
         if (mUsages == null) {
-            mUsages = new Vector();
+            mUsages = new Vector<ObjectIdentifier>();
         }
         
         int mNum = mConfig.getInteger(PROP_NUM_IDS, MAX_PURPOSE_ID);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java b/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
index 47e3de0c083fa4222591fb8ed0b3070558d10da5..bdfdb14aea9f806f4333bf49c7d43017e5a96a76 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
@@ -359,7 +359,7 @@ public class GenericASN1Ext extends APolicyRule implements
                 // Create the extension
                 GenericASN1Extension priExt = mkExtension();
                 
-                extensions.set(GenericASN1Extension.NAME, priExt);
+                extensions.set(priExt.getName(), priExt);
 
             } catch (IOException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
@@ -400,9 +400,9 @@ public class GenericASN1Ext extends APolicyRule implements
         throws IOException, EBaseException, ParseException {
         GenericASN1Extension ext;
 
-        Hashtable h = new Hashtable();
+        Hashtable<String, String> h = new Hashtable<String, String>();
         // This only show one level, not substores!
-        Enumeration e = mConfig.getPropertyNames();
+        Enumeration<String> e = mConfig.getPropertyNames();
 
         while (e.hasMoreElements()) {
             String n = (String) e.nextElement();
@@ -427,9 +427,9 @@ public class GenericASN1Ext extends APolicyRule implements
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         int idx = 0;
-        Vector params = new Vector();
+        Vector<String> params = new Vector<String>();
 
         try {
             params.addElement(PROP_CRITICAL + "=" + mConfig.getBoolean(PROP_CRITICAL, false));
@@ -458,10 +458,10 @@ public class GenericASN1Ext extends APolicyRule implements
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         int idx = 0;
         
-        Vector defParams = new Vector();
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_NAME + "=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
index cc2751c036e1f0a575fbc5cc41ab9bb39a384120..9524f6893393fc79edceaf595a6f58b2c4a43acc 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
@@ -63,14 +63,14 @@ public class IssuerAltNameExt extends APolicyRule
     // PKIX specifies the that the extension SHOULD NOT be critical
     public static final boolean DEFAULT_CRITICALITY = false;
 
-    private static Vector defaultParams = new Vector();
+    private static Vector<String> defaultParams = new Vector<String>();
     private static String[] mInfo = null;
 
     static {
         defaultParams.addElement(PROP_CRITICAL + "=" + DEFAULT_CRITICALITY);
         CMS.getGeneralNamesConfigDefaultParams(null, true, defaultParams);
 	
-        Vector info = new Vector();
+        Vector<String> info = new Vector<String>();
 
         info.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: SHOULD NOT be marked critical.");
         info.addElement(IExtendedPluginInfo.HELP_TOKEN +
@@ -85,7 +85,7 @@ public class IssuerAltNameExt extends APolicyRule
         info.copyInto(mInfo);
     }
 
-    private Vector mParams = new Vector();
+    private Vector<String> mParams = new Vector<String>();
     private IConfigStore mConfig = null;
     private boolean mCritical = DEFAULT_CRITICALITY;
     private boolean mEnabled = false;
@@ -198,7 +198,7 @@ public class IssuerAltNameExt extends APolicyRule
 
             // remove any previously computed version of the extension
             try {
-                extensions.delete(IssuerAlternativeNameExtension.NAME);
+                extensions.delete(IssuerAlternativeNameExtension.class.getSimpleName());
 
             } catch (IOException e) {
                 // this is the hack
@@ -212,7 +212,7 @@ public class IssuerAltNameExt extends APolicyRule
         }
 
         try {
-            extensions.set(IssuerAlternativeNameExtension.NAME, mExtension);
+            extensions.set(IssuerAlternativeNameExtension.class.getSimpleName(), mExtension);
         } catch (Exception e) {
             if (e instanceof RuntimeException) 
                 throw (RuntimeException) e;
@@ -230,7 +230,7 @@ public class IssuerAltNameExt extends APolicyRule
      * @return Empty Vector since this policy has no configuration parameters.
      * for this policy instance.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mParams;
     }
 
@@ -240,7 +240,7 @@ public class IssuerAltNameExt extends APolicyRule
      * @return Empty Vector since this policy implementation has no 
      * configuration parameters.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return defaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
index 4f7a72c4dbf4b020beaae63c19ee17ef24685b6a..4e9ef825d9c4c6dfd98c4b317cb9b475b0aeea39 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
@@ -190,7 +190,7 @@ public class KeyUsageExt extends APolicyRule
             if (extensions != null) {
                 try {
                     ext = (KeyUsageExtension)
-                            extensions.get(KeyUsageExtension.NAME);
+                            extensions.get(KeyUsageExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there.
                     ext = null;
@@ -265,7 +265,7 @@ public class KeyUsageExt extends APolicyRule
                 mKeyUsage = new KeyUsageExtension(mCritical, bits);
             } catch (IOException e) {
             }
-            extensions.set(KeyUsageExtension.NAME, mKeyUsage);
+            extensions.set(KeyUsageExtension.class.getSimpleName(), mKeyUsage);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
@@ -285,8 +285,8 @@ public class KeyUsageExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         params.addElement(PROP_DIGITAL_SIGNATURE + "=" + mDigitalSignature);
@@ -301,7 +301,7 @@ public class KeyUsageExt extends APolicyRule
         return params;
     }
 
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=true");
         mDefParams.addElement(PROP_DIGITAL_SIGNATURE + "=");
@@ -342,7 +342,7 @@ public class KeyUsageExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
index 68f5d875b83809302339cff9d0aea3867177f8de..019e3e08137a1edc0747f5390d495c8030fede20 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
@@ -72,7 +72,7 @@ public class NSCCommentExt extends APolicyRule
     protected String  mCommentFile;
     protected String  mInputType;
     protected boolean mCritical;
-    private Vector mParams = new Vector();
+    private Vector<String> mParams = new Vector<String>();
 
     protected String  tempCommentFile;
     protected boolean certApplied = false;
@@ -199,7 +199,7 @@ public class NSCCommentExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(NSCCommentExtension.NAME);
+                extensions.delete(NSCCommentExtension.class.getSimpleName());
 			
             } catch (IOException e) {
                 // this is the hack: for some reason, the key which is the name
@@ -243,7 +243,7 @@ public class NSCCommentExt extends APolicyRule
             NSCCommentExtension cpExt = 
                 new NSCCommentExtension(mCritical, mUserNoticeDisplayText);
 
-            extensions.set(NSCCommentExtension.NAME, cpExt);
+            extensions.set(NSCCommentExtension.class.getSimpleName(), cpExt);
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
                 CMS.getLogMessage("POLICY_ERROR_CERTIFICATE_POLICIES_1", NAME));
@@ -279,7 +279,7 @@ public class NSCCommentExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mParams;
     }
 
@@ -288,8 +288,8 @@ public class NSCCommentExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() { 
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_INPUT_TYPE + "=" + TEXT);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
index 2ececcf9c597fee96d4996fae6161ab850673798..88c57d2ec8fff9e266de5e58de89fa7750f0b190 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
@@ -194,7 +194,7 @@ public class NSCertTypeExt extends APolicyRule
                 // See if extension is already set and contains correct values.
                 try {
                     nsCertTypeExt = (NSCertTypeExtension)
-                            extensions.get(NSCertTypeExtension.NAME);
+                            extensions.get(NSCertTypeExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there.
                     nsCertTypeExt = null;
@@ -210,7 +210,7 @@ public class NSCertTypeExt extends APolicyRule
                     (certType.equals("ocspResponder"))) {
                     // Fix for #528732 : Always delete
                     // this extension from OCSP signing cert
-                    extensions.delete(NSCertTypeExtension.NAME);
+                    extensions.delete(NSCertTypeExtension.class.getSimpleName());
                     return PolicyResult.ACCEPTED;
                 }
             } else {
@@ -243,7 +243,7 @@ public class NSCertTypeExt extends APolicyRule
             if (nsCertTypeExt != null) {
                 // replace with correct bits to comply to policy.
                 // take all that are true.
-                extensions.delete(NSCertTypeExtension.NAME);
+                extensions.delete(NSCertTypeExtension.class.getSimpleName());
             }
 
             int j;
@@ -260,7 +260,7 @@ public class NSCertTypeExt extends APolicyRule
             }
 
             nsCertTypeExt = new NSCertTypeExtension(mCritical, bits);
-            extensions.set(NSCertTypeExtension.NAME, nsCertTypeExt);
+            extensions.set(NSCertTypeExtension.class.getSimpleName(), nsCertTypeExt);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
@@ -495,8 +495,8 @@ public class NSCertTypeExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         params.addElement(PROP_SET_DEFAULT_BITS + "=" + mSetDefaultBits);
@@ -504,7 +504,7 @@ public class NSCertTypeExt extends APolicyRule
         return params;
     }
 
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(
             PROP_CRITICAL + "=false");
@@ -533,7 +533,7 @@ public class NSCertTypeExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
index 35106de41e456174f32a1f5c50b63f2b7a58e259..8b8001bba1ef43f7d04a98193f93251b3988ca9e 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
@@ -80,7 +80,7 @@ public class NameConstraintsExt extends APolicyRule
     protected Subtree[] mExcludedSubtrees = null;
     protected NameConstraintsExtension mNameConstraintsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
     public NameConstraintsExt() {
         NAME = "NameConstraintsExt";
@@ -159,13 +159,13 @@ public class NameConstraintsExt extends APolicyRule
         // create instance of name constraints extension if enabled.
         if (mEnabled) {
             try {
-                Vector permittedSubtrees = new Vector();
+                Vector<GeneralSubtree> permittedSubtrees = new Vector<GeneralSubtree>();
 
                 for (int i = 0; i < mNumPermittedSubtrees; i++) {
                     permittedSubtrees.addElement(
                         mPermittedSubtrees[i].mGeneralSubtree);
                 }
-                Vector excludedSubtrees = new Vector();
+                Vector<GeneralSubtree> excludedSubtrees = new Vector<GeneralSubtree>();
 
                 for (int j = 0; j < mNumExcludedSubtrees; j++) {
                     excludedSubtrees.addElement(
@@ -274,7 +274,7 @@ public class NameConstraintsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     nameConstraintsExt = (NameConstraintsExtension)
-                            extensions.get(NameConstraintsExtension.NAME);
+                            extensions.get(NameConstraintsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -290,7 +290,7 @@ public class NameConstraintsExt extends APolicyRule
                     CMS.debug(
                         "NameConstraintsExt: request id " + req.getRequestId() + " from user " +
                         " already has name constraints - deleted");
-                    extensions.delete(NameConstraintsExtension.NAME);
+                    extensions.delete(NameConstraintsExtension.class.getSimpleName());
                 }
             }
 
@@ -301,7 +301,7 @@ public class NameConstraintsExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                NameConstraintsExtension.NAME, mNameConstraintsExtension);
+                NameConstraintsExtension.class.getSimpleName(), mNameConstraintsExtension);
             CMS.debug(
                 "NameConstraintsExt: added Name Constraints Extension to request " +
                 req.getRequestId());
@@ -325,7 +325,7 @@ public class NameConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -335,7 +335,7 @@ public class NameConstraintsExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params 
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -355,12 +355,12 @@ public class NameConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: MUST be critical.");
         theparams.addElement(
@@ -450,13 +450,13 @@ class Subtree {
         }
     }
 
-    void getInstanceParams(Vector instanceParams) {
+    void getInstanceParams(Vector<String> instanceParams) {
         mBase.getInstanceParams(instanceParams);
         instanceParams.addElement(mNameDotMin + "=" + mMin);
         instanceParams.addElement(mNameDotMax + "=" + mMax);
     }
 
-    static void getDefaultParams(String name, Vector params) {
+    static void getDefaultParams(String name, Vector<String> params) {
         String nameDot = "";
 
         if (name != null && name.length() >= 0)
@@ -466,7 +466,7 @@ class Subtree {
         params.addElement(nameDot + PROP_MAX + "=" + DEF_MAX);
     }
 
-    static void getExtendedPluginInfo(String name, Vector info) {
+    static void getExtendedPluginInfo(String name, Vector<String> info) {
         String nameDot = "";
 
         if (name != null && name.length() > 0)
